/* CPLB table definitions for ADSP-BF537. */
/* Copyright (C) 2003-2004 Analog Devices, Inc. All Rights Reserved. */

#if defined(__ADSPBF537__)
#include <def_LPBlackfin.h>
#include <cplb.h>

#define CPLB_DDOCACHE_AOW (CPLB_DDOCACHE | CPLB_L1_AOW)
#define CPLB_DDOCACHE_RO  ((CPLB_DDOCACHE) & (~(CPLB_SUPV_WR | CPLB_USER_WR)))
#define CPLB_DDOCACHE_WB  (CPLB_DNOCACHE | CPLB_CACHE_ENABLED)

 .section cplb_data;

.align 4;
_dcplbs_table:
.byte4=
    0xFF900000,	(PAGE_SIZE_1MB | CPLB_D_PAGE_MGMT | CPLB_WT),	// L1 Data B
    0xFF800000,	(PAGE_SIZE_1MB | CPLB_D_PAGE_MGMT | CPLB_WT),	// L1 Data A

    0x20200000,	(PAGE_SIZE_1MB | CPLB_DNOCACHE),	// Async Memory Bank 2 (Secnd)
    0x20100000,	(PAGE_SIZE_1MB | CPLB_DDOCACHE),	// Async Memory Bank 1 (Prim B)
    0x20000000,	(PAGE_SIZE_1MB | CPLB_DDOCACHE),	// Async Memory Bank 0 (Prim A)

    0x01C00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	// EZ-Kit has 32MB of SDRAM
    0x01800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	// in SDRAM Bank 0, so we need
    0x01400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	// 8x4MB pages.
    0x01000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	// bsz
    0x00C00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE_RO),	// buffer zone
    0x00800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE_RO),	// code
    0x00400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE_WB),	// default heap
    0x00000000,	(PAGE_SIZE_4MB | CPLB_DNOCACHE),	// VDK_heap (currently unused; VDK_heap is in L1)

    // Following CPLBs cover areas of the memory map which are defined,
    // but which are not occupied by the ADSP-BF537 EZ-Kit hardware.

    0x20300000,	(PAGE_SIZE_1MB | CPLB_DDOCACHE),	// Async Memory Bank 3

    0x1FC00000, (PAGE_SIZE_4MB | CPLB_DDOCACHE), // SDRAM Bank 0,
    0x1F800000, (PAGE_SIZE_4MB | CPLB_DDOCACHE), // 32MB - 512MB.
    0x1F400000, (PAGE_SIZE_4MB | CPLB_DDOCACHE), //
    0x1F000000, (PAGE_SIZE_4MB | CPLB_DDOCACHE), //
    0x1EC00000, (PAGE_SIZE_4MB | CPLB_DDOCACHE), //
    0x1E800000, (PAGE_SIZE_4MB | CPLB_DDOCACHE), //
    0x1E400000, (PAGE_SIZE_4MB | CPLB_DDOCACHE), //
    0x1E000000, (PAGE_SIZE_4MB | CPLB_DDOCACHE), //

    0x1DC00000, (PAGE_SIZE_4MB | CPLB_DDOCACHE), //
    0x1D800000, (PAGE_SIZE_4MB | CPLB_DDOCACHE), //
    0x1D400000, (PAGE_SIZE_4MB | CPLB_DDOCACHE), //
    0x1D000000, (PAGE_SIZE_4MB | CPLB_DDOCACHE), //
    0x1CC00000, (PAGE_SIZE_4MB | CPLB_DDOCACHE), //
    0x1C800000, (PAGE_SIZE_4MB | CPLB_DDOCACHE), //
    0x1C400000, (PAGE_SIZE_4MB | CPLB_DDOCACHE), //
    0x1C000000, (PAGE_SIZE_4MB | CPLB_DDOCACHE), //

    0x1BC00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x1B800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x1B400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x1B000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x1AC00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x1A800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x1A400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x1A000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//

    0x19C00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x19800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x19400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x19000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x18C00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x18800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x18400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x18000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//

    0x17C00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x17800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x17400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x17000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x16C00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x16800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x16400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x16000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//

    0x15C00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x15800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x15400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x15000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x14C00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x14800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x14400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x14000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//

    0x13C00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x13800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x13400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x13000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x12C00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x12800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x12400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x12000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//

    0x11C00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x11800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x11400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x11000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x10C00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x10800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x10400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x10000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//

    0x0FC00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x0F800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x0F400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x0F000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x0EC00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x0E800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x0E400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x0E000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//

    0x0DC00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x0D800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x0D400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x0D000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x0CC00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x0C800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x0C400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x0C000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//

    0x0BC00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x0B800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x0B400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x0B000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x0AC00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x0A800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x0A400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x0A000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//

    0x09C00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x09800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x09400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x09000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x08C00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x08800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x08400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x08000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//

    0x07C00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x07800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x07400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x07000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x06C00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x06800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x06400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x06000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//

    0x05C00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x05800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x05400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x05000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x04C00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x04800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x04400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x04000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//

    0x03C00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x03800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x03400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x03000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x02C00000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x02800000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x02400000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//
    0x02000000,	(PAGE_SIZE_4MB | CPLB_DDOCACHE),	//

    0xffffffff;	// end of section - termination
._dcplbs_table.end:


_icplbs_table:
.byte4=
    0xFFA00000,	(PAGE_SIZE_1MB | CPLB_I_PAGE_MGMT),	// L1 Code

    0x20200000,	(PAGE_SIZE_1MB | CPLB_INOCACHE),	// Async Memory Bank 2 (Secnd)
    0x20100000,	(PAGE_SIZE_1MB | CPLB_IDOCACHE),	// Async Memory Bank 1 (Prim B)
    0x20000000,	(PAGE_SIZE_1MB | CPLB_IDOCACHE),	// Async Memory Bank 0 (Prim A)

    0x01C00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	// EZ-Kit has 32MB of SDRAM
    0x01800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	// in SDRAM Bank 0, so we need
    0x01400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	// 8x4MB pages.
    0x01000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x00C00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x00800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x00400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x00000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//

    // Following CPLBs cover areas of the memory map which are defined,
    // but which are not occupied by the ADSP-BF537 EZ-Kit hardware.

    0x20300000,	(PAGE_SIZE_1MB | CPLB_INOCACHE),	// Async Memory Bank 3

    0x1FC00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE), // SDRAM Bank 0,
    0x1F800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE), // 32MB - 512MB.
    0x1F400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE), //
    0x1F000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE), //
    0x1EC00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE), //
    0x1E800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE), //
    0x1E400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE), //
    0x1E000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE), //

    0x1DC00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE), //
    0x1D800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE), //
    0x1D400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE), //
    0x1D000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE), //
    0x1CC00000, (PAGE_SIZE_4MB | CPLB_IDOCACHE), //
    0x1C800000, (PAGE_SIZE_4MB | CPLB_IDOCACHE), //
    0x1C400000, (PAGE_SIZE_4MB | CPLB_IDOCACHE), //
    0x1C000000, (PAGE_SIZE_4MB | CPLB_IDOCACHE), //

    0x1BC00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x1B800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x1B400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x1B000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x1AC00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x1A800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x1A400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x1A000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//

    0x19C00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x19800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x19400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x19000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x18C00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x18800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x18400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x18000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//

    0x17C00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x17800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x17400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x17000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x16C00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x16800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x16400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x16000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//

    0x15C00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x15800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x15400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x15000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x14C00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x14800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x14400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x14000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//

    0x13C00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x13800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x13400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x13000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x12C00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x12800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x12400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x12000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//

    0x11C00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x11800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x11400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x11000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x10C00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x10800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x10400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x10000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//

    0x0FC00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x0F800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x0F400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x0F000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x0EC00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x0E800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x0E400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x0E000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//

    0x0DC00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x0D800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x0D400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x0D000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x0CC00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x0C800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x0C400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x0C000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//

    0x0BC00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x0B800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x0B400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x0B000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x0AC00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x0A800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x0A400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x0A000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//

    0x09C00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x09800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x09400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x09000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x08C00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x08800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x08400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x08000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//

    0x07C00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x07800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x07400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x07000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x06C00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x06800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x06400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x06000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//

    0x05C00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x05800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x05400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x05000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x04C00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x04800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x04400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x04000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//

    0x03C00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x03800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x03400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x03000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x02C00000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x02800000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x02400000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//
    0x02000000,	(PAGE_SIZE_4MB | CPLB_IDOCACHE),	//

    0xffffffff;	// end of section - termination
._icplbs_table.end:

#else

.section cplb_data;

.align 4;

_dcplbs_table:
  .byte4=0xffffffff;
._dcplbs_table.end:

_icplbs_table:
  .byte4=0xffffffff;
._icplbs_table.end:

#endif

.global _icplbs_table;
.type _icplbs_table, STT_OBJECT;
.global _dcplbs_table;
.type _dcplbs_table, STT_OBJECT;
